### Signal

# RB RhythmDB::save-error

#### Declaration

    void
    save_error (
      RhythmDB* self,
      gchar* uri,
      gpointer error,
      gpointer user_data
    )

#### Description [src]

Emitted when an error occurs while saving the database.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  URI of the database file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `gpointer`

  The error that occurred.

  The argument can be `NULL`.
  The data is owned by the caller of the function.